DynUnion (Java SE 9 & JDK 9 )
Keywords: org.omg.DynamicAny.DynUnion interface

Module java.corba
Package org.omg.DynamicAny

## Interface DynUnion

- All Superinterfaces:
    `DynAny`, `DynAnyOperations`, `DynUnionOperations`, `IDLEntity`, `Object`, `Serializable`
  All Known Implementing Classes:
    `_DynUnionStub`

      public interface DynUnion
      extends DynUnionOperations, DynAny, IDLEntity

  DynUnion objects support the manipulation of IDL unions. A union can have only two valid current positions:
  - zero, which denotes the discriminator
  - one, which denotes the active member
  The component_count value for a union depends on the current discriminator: it is 2 for a union whose discriminator indicates a named member, and 1 otherwise.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

      `assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

    - ### Methods inherited from interface org.omg.DynamicAny.DynUnionOperations

      `discriminator_kind, get_discriminator, has_no_active_member, member, member_kind, member_name, set_discriminator, set_to_default_member, set_to_no_active_member`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`